Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1604169 - gnumeric: FTBFS in Fedora rawhide
Summary: gnumeric: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: itstool
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS 1614575
TreeView+ depends on / blocked
 
Reported: 2018-07-19 21:21 UTC by Mohan Boddu
Modified: 2019-01-10 08:21 UTC (History)
6 users (show)

Fixed In Version: itstool-2.0.5-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-10 08:21:33 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-19 21:21 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-19 21:21 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-19 21:21 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 21:21:19 UTC
gnumeric failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28183138


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix gnumeric at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
gnumeric will be orphaned. Before branching of Fedora 30,
gnumeric will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 21:21:30 UTC
Created attachment 1462413 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-19 21:21:33 UTC
Created attachment 1462414 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 21:21:36 UTC
Created attachment 1462415 [details]
state.log

Comment 4 Julian Sikorski 2018-07-20 05:44:39 UTC
It fails on:

Error: Could not merge translations:
'ascii' codec can't decode byte 0xc2 in position 97: ordinal not in range(128)
make[2]: *** [Makefile:1410: cs/cs.stamp] Error 1

Morten, do you have any ideas what might be causing this? Thank you!

Comment 5 Julian Sikorski 2018-07-21 16:47:52 UTC
Looking closer the failure seems to be coming from itstool:

if test -f "${mo}"; then mo="../${mo}"; else mo="/builddir/build/BUILD/gnumeric-1.12.41/doc/${mo}"; fi; \
(cd "cs/" && itstool -m "${mo}" ${d}/C/gnumeric.xml) && \
touch "cs/cs.stamp"
BUILDSTDERR: Warning: Could not merge de translation for msgid:
BUILDSTDERR: Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License (GFDL), Version 1.1 or any later version published by the Free Software Foundation with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. You can find a copy of the GFDL at this <ulink type="help" url="ghelp:fdl">link</ulink> or in the file COPYING-DOCS distributed with this manual.
BUILDSTDERR: Warning: Could not merge cs translation for msgid:
BUILDSTDERR: The chapters of this version of the <application>Gnumeric</application> manual are organized as follows: <_:itemizedlist-1/>
BUILDSTDERR: Warning: Could not merge cs translation for msgid:
BUILDSTDERR: Both the <guimenu>Edit</guimenu> menu and the context menu have an extra menu entry called <guimenuitem>Paste Special...</guimenuitem> which can be used during a cut and paste operation to selectively transfer some of the original cell contents or to alter the contents in specific ways. This option allows the transfer of only the cell contents, only the cell formats or only the calculated values of the cells. The transferred contents can also be mathematically combined with the current contents of cells in the new location. Alternatively, the selection can be transposed. See <xref linkend="sect-movecopy-pastespecial"/> for more information on the <guimenuitem>Paste Special...</guimenuitem> command.
BUILDSTDERR: Warning: Could not merge cs translation for msgid:
BUILDSTDERR: An existing spreadsheet file can be opened in several ways. If the file has an icon on the desktop, this icon can be clicked or double-clicked with the mouse button. Similarly, if a file manager, such as the <application>Nautilus</application> file manager, lists the file, then the file name can be clicked and opened. If <application>Gnumeric</application> is already opened, a file can be opened by clicking on the <guimenu>File</guimenu> and selecting the <guimenuitem>Open</guimenuitem> menu item. Alternatively, the "Open file" button on the toolbar, <inlinemediaobject> <imageobject> <imagedata fileref="figures/button-open.png" format="PNG"/> </imageobject> <textobject> <phrase>An image of the "Open File" button.</phrase> </textobject> </inlinemediaobject>, can be used or the <keycap>F3</keycap> key clicked. All three of these open the <interface>Open File</interface> dialog. You can then select the spreadsheet file you wish to open. <application>Gnumeric</application> can open many different types of spreadsheet file formats.
BUILDSTDERR: Warning: Could not merge cs translation for msgid:
BUILDSTDERR: To finish the function, close the parenthesis. The cell should now show =sum(B1:C2). Press enter and the formula is entered.
BUILDSTDERR: Warning: Could not merge cs translation for msgid:
BUILDSTDERR: This tab allows you to choose the border for the selected cells. You can select one of many border styles (none, single line, double line,...) and colors. You can also have different borders on different sides of the cell. <_:figure-1/> To choose a border for a cell or a selection, select border style and color in the right side of the tab and click on the buttons corresponding to the sides of the cells in the left side of the tab. In addition to the buttons for left, right, top, and bottom sides, you also have buttons for drawing diagonal and reverse diagonal of the cell. (Strictly speaking, these cannot be called borders, but it is natural to put them in this tab.) The lowest row of buttons contains buttons <guibutton>None</guibutton> and <guibutton>Outline</guibutton>. Clicking on <guibutton>None</guibutton> removes all borders from the cell; clicking on <guibutton>Outline</guibutton> puts border on all sides of the cell or selection.
BUILDSTDERR: Error: Could not merge translations:
BUILDSTDERR: 'ascii' codec can't decode byte 0xc2 in position 97: ordinal not in range(128)
BUILDSTDERR: make[2]: *** [Makefile:1410: cs/cs.stamp] Error 1

Could this maybe be related to python2/python3 conflict of some sort?

Comment 6 M Welinder 2018-07-31 11:29:02 UTC
Upstream bug is https://github.com/itstool/itstool/issues/22
No recent action though.

Suggestion: don't ship latest itstool.

Comment 7 Jan Kurik 2018-08-14 09:37:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 8 Zbigniew Jędrzejewski-Szmek 2018-08-27 09:24:41 UTC
There has been at least one successfull build after mass rebuild.

itstool-2.0.4-2.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1111651

Comment 9 Zbigniew Jędrzejewski-Szmek 2018-08-27 09:30:02 UTC
Nevermind.

Comment 10 Fedora Update System 2019-01-06 20:52:01 UTC
itstool-2.0.5-2.fc29 libxml2-2.9.8-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6cc7d24cbd

Comment 11 Fedora Update System 2019-01-07 03:12:34 UTC
itstool-2.0.5-2.fc29, libxml2-2.9.8-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6cc7d24cbd

Comment 12 Fedora Update System 2019-01-10 08:21:33 UTC
itstool-2.0.5-2.fc29, libxml2-2.9.8-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.